=== modified file 'lib/canonical/launchpad/interfaces/_schema_circular_imports.py'
--- lib/canonical/launchpad/interfaces/_schema_circular_imports.py	2011-12-19 23:38:16 +0000
+++ lib/canonical/launchpad/interfaces/_schema_circular_imports.py	2011-12-20 11:21:59 +0000
@@ -30,7 +30,7 @@
     patch_plain_parameter_type,
     patch_reference_property,
     )
-from canonical.launchpad.interfaces.temporaryblobstorage import (
+from lp.services.temporaryblobstorage.interfaces import (
     ITemporaryBlobStorage,
     ITemporaryStorageManager,
     )

=== modified file 'lib/canonical/launchpad/interfaces/webservice.py'
--- lib/canonical/launchpad/interfaces/webservice.py	2011-12-19 23:38:16 +0000
+++ lib/canonical/launchpad/interfaces/webservice.py	2011-12-20 11:21:59 +0000
@@ -22,7 +22,7 @@
 # import bugs.  Break this up into a per-package thing.
 from canonical.launchpad.interfaces import _schema_circular_imports
 from canonical.launchpad.interfaces.launchpad import IWebServiceApplication
-from canonical.launchpad.interfaces.temporaryblobstorage import (
+from lp.services.temporaryblobstorage.interfaces import (
     ITemporaryBlobStorage,
     ITemporaryStorageManager,
     )

=== modified file 'lib/canonical/launchpad/pagetests/webservice/xx-temporary-blob-storage.txt'
--- lib/canonical/launchpad/pagetests/webservice/xx-temporary-blob-storage.txt	2011-03-09 04:49:00 +0000
+++ lib/canonical/launchpad/pagetests/webservice/xx-temporary-blob-storage.txt	2011-12-20 11:21:59 +0000
@@ -15,7 +15,7 @@
     >>> import os
     >>> from zope.component import getUtility
     >>> from canonical.config import config
-    >>> from canonical.launchpad.interfaces.temporaryblobstorage import (
+    >>> from lp.services.temporaryblobstorage.interfaces import (
     ...     ITemporaryStorageManager)
 
     >>> testfiles = os.path.join(config.root,

=== modified file 'lib/canonical/launchpad/zcml/configure.zcml'
--- lib/canonical/launchpad/zcml/configure.zcml	2011-12-20 10:52:02 +0000
+++ lib/canonical/launchpad/zcml/configure.zcml	2011-12-20 11:21:59 +0000
@@ -12,7 +12,6 @@
     <include file="launchpad.zcml" />
     <include file="librarian.zcml" />
     <include file="lifecycle.zcml" />
-    <include file="temporaryblobstorage.zcml" />
     <include file="webservice.zcml" />
 
 </configure>

=== modified file 'lib/lp/app/browser/launchpad.py'
--- lib/lp/app/browser/launchpad.py	2011-12-20 10:21:46 +0000
+++ lib/lp/app/browser/launchpad.py	2011-12-20 11:21:59 +0000
@@ -62,7 +62,7 @@
     ILaunchpadStatisticSet,
     )
 from lp.services.verification.interfaces.logintoken import ILoginTokenSet
-from canonical.launchpad.interfaces.temporaryblobstorage import (
+from lp.services.temporaryblobstorage.interfaces import (
     ITemporaryStorageManager,
     )
 from canonical.launchpad.layers import WebServiceLayer

=== modified file 'lib/lp/bugs/browser/tests/bugtarget-filebug-views.txt'
--- lib/lp/bugs/browser/tests/bugtarget-filebug-views.txt	2011-11-22 05:05:56 +0000
+++ lib/lp/bugs/browser/tests/bugtarget-filebug-views.txt	2011-12-20 11:21:59 +0000
@@ -126,7 +126,7 @@
     ... --boundary--
     ... """
     >>> import transaction
-    >>> from canonical.launchpad.interfaces.temporaryblobstorage import ITemporaryStorageManager
+    >>> from lp.services.temporaryblobstorage.interfaces import ITemporaryStorageManager
     >>> token = getUtility(ITemporaryStorageManager).new(debug_data)
 
 We need to commit the transaction since the data will be stored in the

=== modified file 'lib/lp/bugs/interfaces/apportjob.py'
--- lib/lp/bugs/interfaces/apportjob.py	2011-10-06 16:27:04 +0000
+++ lib/lp/bugs/interfaces/apportjob.py	2011-12-20 11:21:59 +0000
@@ -25,7 +25,7 @@
     )
 
 from canonical.launchpad import _
-from canonical.launchpad.interfaces.temporaryblobstorage import (
+from lp.services.temporaryblobstorage.interfaces import (
     ITemporaryBlobStorage,
     )
 from lp.services.job.interfaces.job import (

=== modified file 'lib/lp/bugs/model/apportjob.py'
--- lib/lp/bugs/model/apportjob.py	2011-12-19 23:38:16 +0000
+++ lib/lp/bugs/model/apportjob.py	2011-12-20 11:21:59 +0000
@@ -27,7 +27,7 @@
     )
 
 from canonical.database.enumcol import EnumCol
-from canonical.launchpad.database.temporaryblobstorage import (
+from lp.services.temporaryblobstorage.model import (
     TemporaryBlobStorage,
     )
 from canonical.launchpad.interfaces.librarian import ILibraryFileAliasSet

=== modified file 'lib/lp/bugs/tests/test_apportjob.py'
--- lib/lp/bugs/tests/test_apportjob.py	2011-10-06 16:27:04 +0000
+++ lib/lp/bugs/tests/test_apportjob.py	2011-12-20 11:21:59 +0000
@@ -14,7 +14,7 @@
 
 from canonical.config import config
 from canonical.launchpad.interfaces.librarian import ILibraryFileAliasSet
-from canonical.launchpad.interfaces.temporaryblobstorage import (
+from lp.services.temporaryblobstorage.interfaces import (
     ITemporaryStorageManager,
     )
 from canonical.launchpad.scripts.tests import run_script

=== modified file 'lib/lp/services/configure.zcml'
--- lib/lp/services/configure.zcml	2011-12-20 10:52:02 +0000
+++ lib/lp/services/configure.zcml	2011-12-20 11:21:59 +0000
@@ -25,6 +25,7 @@
   <include package=".scripts" />
   <include package=".session" />
   <include package=".statistics" />
+  <include package=".temporaryblobstorage" />
   <include package=".verification" />
   <include package=".webservice" />
   <include package=".worlddata" />

=== added directory 'lib/lp/services/temporaryblobstorage'
=== added file 'lib/lp/services/temporaryblobstorage/__init__.py'
=== renamed file 'lib/canonical/launchpad/browser/temporaryblobstorage.py' => 'lib/lp/services/temporaryblobstorage/browser.py'
--- lib/canonical/launchpad/browser/temporaryblobstorage.py	2010-11-23 23:22:27 +0000
+++ lib/lp/services/temporaryblobstorage/browser.py	2011-12-20 11:21:59 +0000
@@ -13,7 +13,7 @@
 from zope.component import getUtility
 from zope.interface import implements
 
-from canonical.launchpad.interfaces.temporaryblobstorage import (
+from lp.services.temporaryblobstorage.interfaces import (
     BlobTooLarge,
     ITemporaryBlobStorage,
     ITemporaryStorageManager,

=== renamed file 'lib/canonical/launchpad/zcml/temporaryblobstorage.zcml' => 'lib/lp/services/temporaryblobstorage/configure.zcml'
--- lib/canonical/launchpad/zcml/temporaryblobstorage.zcml	2011-09-19 14:29:47 +0000
+++ lib/lp/services/temporaryblobstorage/configure.zcml	2011-12-20 11:21:59 +0000
@@ -9,47 +9,47 @@
   i18n_domain="launchpad">
 
   <!-- TemporaryBlobStorage -->
-  <class class="canonical.launchpad.database.temporaryblobstorage.TemporaryBlobStorage">
+  <class class="lp.services.temporaryblobstorage.model.TemporaryBlobStorage">
     <allow
-      interface="canonical.launchpad.interfaces.temporaryblobstorage.ITemporaryBlobStorage" />
+      interface="lp.services.temporaryblobstorage.interfaces.ITemporaryBlobStorage" />
   </class>
 
   <browser:page
     name="+storeblob"
     for="canonical.launchpad.webapp.interfaces.ILaunchpadRoot"
-    class="canonical.launchpad.browser.temporaryblobstorage.TemporaryBlobStorageAddView"
+    class="lp.services.temporaryblobstorage.browser.TemporaryBlobStorageAddView"
     permission="zope.Public"
-    template="../templates/temporaryblobstorage-storeblob.pt"
+    template="./templates/temporaryblobstorage-storeblob.pt"
     >
   </browser:page>
 
   <!-- TemporaryStorageManager -->
-  <class class="canonical.launchpad.database.temporaryblobstorage.TemporaryStorageManager">
+  <class class="lp.services.temporaryblobstorage.model.TemporaryStorageManager">
     <allow
-      interface="canonical.launchpad.interfaces.temporaryblobstorage.ITemporaryStorageManager" />
+      interface="lp.services.temporaryblobstorage.interfaces.ITemporaryStorageManager" />
   </class>
 
   <securedutility
-      class="canonical.launchpad.database.temporaryblobstorage.TemporaryStorageManager"
-      provides="canonical.launchpad.interfaces.temporaryblobstorage.ITemporaryStorageManager">
+      class="lp.services.temporaryblobstorage.model.TemporaryStorageManager"
+      provides="lp.services.temporaryblobstorage.interfaces.ITemporaryStorageManager">
       <allow
-        interface="canonical.launchpad.interfaces.temporaryblobstorage.ITemporaryStorageManager" />
+        interface="lp.services.temporaryblobstorage.interfaces.ITemporaryStorageManager" />
   </securedutility>
 
   <browser:navigation
-      module="canonical.launchpad.browser.temporaryblobstorage"
+      module="lp.services.temporaryblobstorage.browser"
       classes="TemporaryBlobStorageNavigation"
       />
 
   <browser:url
-      for="canonical.launchpad.interfaces.temporaryblobstorage.ITemporaryBlobStorage"
-      urldata="canonical.launchpad.browser.temporaryblobstorage.TemporaryBlobStorageURL"
+      for="lp.services.temporaryblobstorage.interfaces.ITemporaryBlobStorage"
+      urldata="lp.services.temporaryblobstorage.browser.TemporaryBlobStorageURL"
       parent_utility="canonical.launchpad.interfaces.launchpad.IWebServiceApplication"/>
       path_expression="string:temporary-blobs/${uuid}"
       />
 
   <browser:url
-      for="canonical.launchpad.interfaces.temporaryblobstorage.ITemporaryStorageManager"
+      for="lp.services.temporaryblobstorage.interfaces.ITemporaryStorageManager"
       path_expression="string:temporary-blobs"
       parent_utility="canonical.launchpad.interfaces.launchpad.IWebServiceApplication"/>
 </configure>

=== added directory 'lib/lp/services/temporaryblobstorage/doc'
=== renamed file 'lib/canonical/launchpad/doc/temporaryblobstorage.txt' => 'lib/lp/services/temporaryblobstorage/doc/temporaryblobstorage.txt'
--- lib/canonical/launchpad/doc/temporaryblobstorage.txt	2010-10-09 16:36:22 +0000
+++ lib/lp/services/temporaryblobstorage/doc/temporaryblobstorage.txt	2011-12-20 11:21:59 +0000
@@ -13,7 +13,8 @@
 perhaps as attachments.
 
     >>> from zope.component import getUtility
-    >>> from canonical.launchpad.interfaces.temporaryblobstorage import ITemporaryStorageManager
+    >>> from lp.services.temporaryblobstorage.interfaces import (
+    ...     ITemporaryStorageManager)
     >>> tsm = getUtility(ITemporaryStorageManager)
 
 To create a new TemporaryBlob, use ITemporaryStorageManager.new:

=== renamed file 'lib/canonical/launchpad/interfaces/temporaryblobstorage.py' => 'lib/lp/services/temporaryblobstorage/interfaces.py'
=== renamed file 'lib/canonical/launchpad/database/temporaryblobstorage.py' => 'lib/lp/services/temporaryblobstorage/model.py'
--- lib/canonical/launchpad/database/temporaryblobstorage.py	2011-12-19 23:38:16 +0000
+++ lib/lp/services/temporaryblobstorage/model.py	2011-12-20 11:21:59 +0000
@@ -28,7 +28,7 @@
 from canonical.database.datetimecol import UtcDateTimeCol
 from canonical.database.sqlbase import SQLBase
 from canonical.launchpad.interfaces.librarian import ILibraryFileAliasSet
-from canonical.launchpad.interfaces.temporaryblobstorage import (
+from lp.services.temporaryblobstorage.interfaces import (
     BlobTooLarge,
     ITemporaryBlobStorage,
     ITemporaryStorageManager,

=== renamed directory 'lib/canonical/launchpad/pagetests/temporaryblobstorage' => 'lib/lp/services/temporaryblobstorage/stories'
=== modified file 'lib/lp/services/temporaryblobstorage/stories/xx-tempstorage.txt'
--- lib/canonical/launchpad/pagetests/temporaryblobstorage/xx-tempstorage.txt	2010-11-06 12:50:22 +0000
+++ lib/lp/services/temporaryblobstorage/stories/xx-tempstorage.txt	2011-12-20 11:21:59 +0000
@@ -32,7 +32,7 @@
 
     >>> from canonical.launchpad.ftests import login, logout, ANONYMOUS
     >>> login(ANONYMOUS)
-    >>> from canonical.launchpad.database.temporaryblobstorage import (
+    >>> from lp.services.temporaryblobstorage.model import (
     ...     TemporaryBlobStorage)
     >>> blob = TemporaryBlobStorage.byUuid(ticket)
     >>> blob.blob

=== renamed directory 'lib/canonical/launchpad/templates' => 'lib/lp/services/temporaryblobstorage/templates'
=== added directory 'lib/lp/services/temporaryblobstorage/tests'
=== added file 'lib/lp/services/temporaryblobstorage/tests/__init__.py'
=== added file 'lib/lp/services/temporaryblobstorage/tests/test_doc.py'
--- lib/lp/services/temporaryblobstorage/tests/test_doc.py	1970-01-01 00:00:00 +0000
+++ lib/lp/services/temporaryblobstorage/tests/test_doc.py	2011-12-20 11:21:59 +0000
@@ -0,0 +1,20 @@
+# Copyright 2011 Canonical Ltd.  This software is licensed under the
+# GNU Affero General Public License version 3 (see the file LICENSE).
+
+"""
+Run the doctests and pagetests.
+"""
+
+import os
+
+from canonical.testing.layers import LaunchpadFunctionalLayer
+from lp.services.testing import build_test_suite
+
+
+here = os.path.dirname(os.path.realpath(__file__))
+
+special = {}
+
+
+def test_suite():
+    return build_test_suite(here, special, layer=LaunchpadFunctionalLayer)

=== modified file 'lib/lp/testing/factory.py'
--- lib/lp/testing/factory.py	2011-12-19 23:38:16 +0000
+++ lib/lp/testing/factory.py	2011-12-20 11:21:59 +0000
@@ -75,7 +75,7 @@
     IMasterStore,
     IStore,
     )
-from canonical.launchpad.interfaces.temporaryblobstorage import (
+from lp.services.temporaryblobstorage.interfaces import (
     ITemporaryStorageManager,
     )
 from canonical.launchpad.webapp.dbpolicy import MasterDatabasePolicy

